Bug 971915 - printer defaults not respected in application print dialog
printer defaults not respected in application print dialog
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 10:48 EDT by John Dennis
Modified: 2015-06-29 07:59 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:59:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ppd file (26.23 KB, application/vnd.cups-ppd)
2013-06-07 10:48 EDT, John Dennis
no flags Details

  None (edit)
Description John Dennis 2013-06-07 10:48:37 EDT
Created attachment 758194 [details]
ppd file

My default printer (Brother MFC-9840CDW) is duplex capable. Using the Printer configuration applet in Gnome 3 I set the default for "Two-Sided" to "Flip on Long Edge". However when an application print dialog comes up it defaults to single sided despite the the printer default being otherwise. If I manually override the setting in the application dialog duplex works. But I want my defaults to be respected so I don't have to manually override them each time I print.

I did some experiments by changing values in the printer configuration applet and seeing if the application dialog reflected those modifications. What I discovered were things like "Color/Mono", "Toner Save" were correctly updated in the application dialog after being modified in the configuration applet. But virtually nothing in the "Page Setup" tab was respected. "Two Sided", "Paper Size", "Orientation", "Pages Per Side" all were unaffected by changes in the configuration applet.

I checked for SELinux AVC's and there were none. I tested with two different applications (Firefox and Evince).

The same printer on my other laptop running F17 seems to work fine (this is a new laptop with F18).

I'm attaching the ppd file.

Any suggestions for diagnosing the problem?
Comment 1 John Dennis 2013-06-07 14:40:38 EDT
O.K. I think I found the solution. If I use system-config-printer instead of the System Settings Printer applet I'm present with more configuration options. One of the options system-config-printer presents is Duplex, once I enabled Duplex then the Two-Sided option in the application dialog defaulted correctly and everything worked.

From a user interface perspective this is really bad. The Printer applet allows you set the Two-Sided option but does not present you with the necessary option to enable Duplex! Nor does it indicate you've specified an impossible combination, two sided printing with duplex disabled. I don't know if this is Gnome's penchant for dumbing down user settings but it's madness. The necessary setting is hidden from most users. It's only if you happen to know about system-config-printer and it's comprehensive settings would you figure this out.

At first I was going to close the bug since I solved the problem for myself. But after thinking about this a bit I'm going to leave this open because there needs to be a sane UI that isn't confusing as heck. Either that or if two-sided printing is enabled then duplex should automatically be enabled.
Comment 2 Jiri Popelka 2013-06-10 03:39:51 EDT
Seems like a problem in control-center to me.
Comment 3 Tim Waugh 2013-06-12 11:41:40 EDT
Hmm, I'm pretty sure that setting sides-default=two-sided-long-edge should cause that setting to be applied to jobs that don't set any option, and *that* should cause Duplex to be set appropriately for that job.

"Duplex" is a PPD-specific setting, and there's no guarantee it will be called that (it might be e.g. "DoubleSided").

"sides" is the PWG standard name, and CUPS uses that to over-ride any appropriate PPD options such as Duplex.

Similarly with e.g. "PageSize" (the PPD-specific setting) and "media", the PWG standard name.

It seems like the control-center panel and the GTK+ print dialog are looking at different settings. IMHO they should both use "sides" and "media".
Comment 4 Fedora End Of Life 2013-12-21 08:54:26 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-05-29 05:06:16 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 07:59:32 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.